[vlc-devel] [PATCH] package/win32: Force libtool build when using llvm-mingw

Marvin Scholz epirat07 at gmail.com
Fri Oct 11 13:47:57 CEST 2019


The libtool in extras/tools has additional patches that are needed to
build with llvm-mingw.
---
 extras/package/win32/build.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/extras/package/win32/build.sh b/extras/package/win32/build.sh
index 0033265a1b..3e0cba7eb4 100755
--- a/extras/package/win32/build.sh
+++ b/extras/package/win32/build.sh
@@ -96,12 +96,22 @@ esac
 : ${JOBS:=$(getconf _NPROCESSORS_ONLN 2>&1)}
 TRIPLET=$ARCH-w64-mingw32
 
+# Check if compiling with clang
+CC=${CC:-$TRIPLET-gcc}
+if ! printf "#ifdef __clang__\n#error CLANG\n#endif" | $CC -E -; then
+    COMPILING_WITH_CLANG=1
+fi
+
 info "Building extra tools"
 cd extras/tools
 # bootstrap only if needed in interactive mode
 if [ "$INTERACTIVE" != "yes" ] || [ ! -f ./Makefile ]; then
     ./bootstrap
 fi
+# Force libtool build when using llvm-mingw
+if [ "$COMPILING_WITH_CLANG" -gt 0 ]; then
+    make -j$JOBS .buildlibtool
+fi
 make -j$JOBS
 export PATH="$PWD/build/bin":"$PATH"
 cd ../../
-- 
2.20.1 (Apple Git-117)



More information about the vlc-devel mailing list